# FoundationClasses
TKernel
TShort

# TShort_SequenceNodeOfSequenceOfShortReal Class Reference

`#include <TShort_SequenceNodeOfSequenceOfShortReal.hxx>`

Inheritance diagram for TShort_SequenceNodeOfSequenceOfShortReal:

[legend]

## Public Member Functions

| TShort_SequenceNodeOfSequenceOfShortReal (const Standard_ShortReal &I, const TCollection_SeqNodePtr &n, const TCollection_SeqNodePtr &p)
Standard_ShortReal & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_ShortReal | myValue

## Constructor & Destructor Documentation

TShort_SequenceNodeOfSequenceOfShortReal::TShort_SequenceNodeOfSequenceOfShortReal | ( | const Standard_ShortReal & | I,
|  | const TCollection_SeqNodePtr & | n,
|  | const TCollection_SeqNodePtr & | p
| ) |

## Member Function Documentation

Standard_EXPORT const TShort_SequenceNodeOfSequenceOfShortReal::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_SeqNode.

Standard_ShortReal& TShort_SequenceNodeOfSequenceOfShortReal::Value | ( |  | ) | const

## Field Documentation

Standard_ShortReal TShort_SequenceNodeOfSequenceOfShortReal::myValue `[private]`

The documentation for this class was generated from the following file:

- TShort_SequenceNodeOfSequenceOfShortReal.hxx